@import "variable";
@import "../functions";

#wpContentNavContent.wpContentNavContent {
  @import "common";
  @import "templates/box";
  @import "templates/list";
  @import "templates/spoiler";

  &--hidden {
    display: none;
  }

  .wpContentNavParent {
    overflow: hidden;
  }
}

#wpContentNavAreaFree.wpContentNav {
  position: fixed;
  top: 50%;
  right: 0;
  max-height: 100%;
  overflow-x: visible;
  overflow-y: auto;
  padding-left: 25px;
  z-index: 9999;
  max-width: 260px;

  &.wpContentNavAreaDisabled {
    display: none;
  }

  &.wpContentNavAlignLeft {
    direction: rtl;
    padding-right: 25px;
    padding-left: 0;
  }

  &.wpContentNavDisabled {
    display: none;
  }
  & > .wpContentNavHeader {
    padding: 10px;
    background: black;
    color: white;
    direction: ltr;

    i {
      font-size: 20px;
      vertical-align: middle;
      cursor: pointer;
    }
    .wpContentNavTitle {
      font-weight: bold;
      padding-left: 8px;
      vertical-align: middle;
    }
  }
  & > .wpContentNavBody {
    direction: ltr;
  }
  &.wpContentNavAreaContentHide {
    & > .wpContentNavBody {
      display: none;
    }
    & > .wpContentNavHeader {
      .wpContentNavTitle {
        display: none;
      }
    }
  }
  &[data-wp-content-nav-area-position="rightTop"] {
    top: 0;
    transform: none;
  }
  &[data-wp-content-nav-area-position="rightBottom"] {
    bottom: 0;
    top: initial;
    transform: none;
  }
  &[data-wp-content-nav-area-position="leftTop"] {
    left: 0;
    top: 0;
    right: initial;
    transform: none;
  }
  &[data-wp-content-nav-area-position="leftMiddle"] {
    left: 0;
    right: initial;
  }
  &[data-wp-content-nav-area-position="leftBottom"] {
    left: 0;
    bottom: 0;
    top: initial;
    right: initial;
    transform: none;
  }
}

.wpContentNavWidget {
  padding-left: 24px;
  margin-left: -24px;
  overflow-y: auto;
  max-height: 100%;

  & > * {
    direction: ltr;
  }
  &.wpContentNavAlignLeft {
    padding-left: 0;
    margin-left: 0;
    padding-right: 24px;
    margin-right: -24px;
    direction: rtl;
  }
  &.wpContentNavFixed {
    position: fixed !important;
    z-index: 9999;
    top: 0;
  }
  &.wpContentNavDisabled {
    display: none;
  }
  &.wpContentNavWithLimiter {
    position: fixed !important;
  }
}

a[data-wp-content-nav="destination"] {
  display: block;
}